Summary:	Helper library for the use with smart cards and the PKCS#11 API
Summary(pl.UTF-8):	Biblioteka pomocnicza do używania z kartami procesorowymi i API PKCS#11
Name:		pkcs11-helper
Version:	1.29.0
Release:	1%{?tld}
License:	GPL v2 or BSD
Group:		Libraries
#Source0Download: https://github.com/OpenSC/pkcs11-helper/releases
Source0:	https://github.com/OpenSC/pkcs11-helper/releases/download/pkcs11-helper-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	7a65cf41d4939bbac2f3432cccbf55aa
Patch0:		no-libs.patch
Patch1:		%{name}-nss.patch
URL:		https://github.com/OpenSC/pkcs11-helper
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	doxygen
BuildRequires:	gnutls-devel >= 1.4
BuildRequires:	libtool
BuildRequires:	mbedtls-devel
BuildRequires:	nss-devel >= 3.11
BuildRequires:	openssl-devel >= 0.9.7a
BuildRequires:	pkgconfig
Requires:	gnutls-libs >= 1.4
Requires:	nss >= 3.11
Requires:	openssl >= 0.9.7a
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
pkcs11-helper provides a simple API to access PKCS#11 tokens.

%description -l pl.UTF-8
pkcs11-helper udostępnia proste API do dostępu do tokenów PKCS#11.

%package devel
Summary:	Header files for pkcs11-helper library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pkcs11-helper
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for pkcs11-helper library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki pkcs11-helper.

%package static
Summary:	Static pkcs11-helper library
Summary(pl.UTF-8):	Statyczna biblioteka pkcs11-helper
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pkcs11-helper library.

%description static -l pl.UTF-8
Statyczna biblioteka pkcs11-helper.

%package apidocs
Summary:	API documentation for pkcs11-helper library
Summary(pl.UTF-8):	Dokumentacja API biblioteki pkcs11-helper
Group:		Documentation

%description apidocs
API documentation for pkcs11-helper library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki pkcs11-helper.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-doc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpkcs11-helper.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING.BSD ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libpkcs11-helper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpkcs11-helper.so.1
%{_mandir}/man8/pkcs11-helper-1.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpkcs11-helper.so
%{_includedir}/pkcs11-helper-1.0
%{_pkgconfigdir}/libpkcs11-helper-1.pc
%{_aclocaldir}/pkcs11-helper-1.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libpkcs11-helper.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/api/api.out/html/*
%changelog
* Tue Jul 18 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/pkcs11-helper.git;a=log;h=0fc1fed2b1ae3a21100762b5ec3c97f33ed227de

* Sat Apr 08 2023 Jakub Bogusz <qboosh@pld-linux.org> 0fc1fed
- updated to 1.29.0

* Fri Apr 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 7e913d8
- updated to 1.28.0 release

* Fri Apr 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 438413e
- Release 3 (by relup.sh)

* Fri Oct 15 2021 Jan Rękorajski <baggins@pld-linux.org> 87537fc
- add various upstream fixes, rel 2

* Sun Jun 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 49bc9dd
- updated to 1.27.0
- added nss patch (fix build with nss 3.67)

* Mon May 11 2020 Jakub Bogusz <qboosh@pld-linux.org> d9ce497
- updated to 1.26.0
- rebuild ac/am/lt for --as-needed to work (and resulting library not linked with nettle libs)

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> 486673a
- release 2, rebuild against libnettle.so.6 (nettle-3.5)

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> e116191
- updated to 1.25.1

* Sat Feb 09 2019 Jan Rękorajski <baggins@pld-linux.org> 775ef27
- release 6 (by relup.sh)

* Tue Jan 22 2019 Jan Rękorajski <baggins@pld-linux.org> 42a196a
- rebuild with libidn2 2.1.0
- release 5 (by relup.sh)

* Sun Jan 20 2019 Jan Rękorajski <baggins@pld-linux.org> 7effcef
- release 4 (by relup.sh)

* Tue Jan 15 2019 Adam Gołębiowski <adamg@pld-linux.org> 36b644e
- release 3 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d11cded
- release 2 (by relup.sh)

* Thu Jun 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b6eec26
- up to 1.23; don't drag unnecessary libs via pc file

* Sat Nov 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 874b674
- updated to 1.22, separated -apidocs

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 356e8ff
- rebuild with gnutls 3.5
- release 6 (by relup.sh)

* Thu Mar 17 2016 Jan Rękorajski <baggins@pld-linux.org> 0bc3434
- release 5 (by relup.sh)

* Thu Mar 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3be3103
- release 4 (by relup.sh)

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> 8ed5cb7
- release 3 (by relup.sh)

* Thu May 07 2015 Jan Rękorajski <baggins@pld-linux.org> aa10c3e
- x32 rebuild
- release 2 (by relup.sh)

